Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2670 - prefix option doesn't work
Summary: prefix option doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-08 20:03 UTC by jmbastia
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-01 19:31:40 UTC


Attachments (Terms of Use)

Description jmbastia 1999-05-08 20:03:59 UTC
When attemption to use the --prefix option with rpm in
RedHat Linux 6.0, it reports that only one prefix option may
be used, even if only one option is used.  For example:

# rpm -ivh --prefix /opt/zip zip-2.1-8.i386.rpm
rpm: only one of --prefix or --relocate may be used

Comment 1 Jeff Johnson 1999-05-09 19:42:59 UTC
You can work around this problem by using --relocate. Assuming
that the package wants to install in /usr and you wish to install
in /opt/zip, the command would be

	rpm -ivh --relocate /usr=/opt/zip zip-2.1.8.i386.rpm

Comment 2 Erik Troan 1999-06-01 19:31:59 UTC
fixed in rpm 3.0.1


Note You need to log in before you can comment on or make changes to this bug.